Page MenuHomePhabricator

Communicate the launch of Wikimedia Phabricator Day 1
Closed, ResolvedPublic

Description

Wikimedia Phabricator Day will bring a big change for many people. It needs to be communicated properly. The timeline of the launch is defined at https://www.mediawiki.org/wiki/Phabricator#Migration_timeline

Blog post on launch day:
https://blog.wikimedia.org/2014/11/24/welcome-to-phabricator-wikimedias-new-collaboration-platform/

Linked from

*... ?

Details

Reference
fl317

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Qgil updated the task description. (Show Details)Sep 18 2014, 12:02 PM
Qgil set Security to None.
Qgil updated the task description. (Show Details)Sep 19 2014, 1:30 PM
Qgil updated the task description. (Show Details)
Dzahn removed a subscriber: Dzahn.Oct 3 2014, 12:29 AM
chasemp added a subscriber: chasemp.Oct 6 2014, 4:05 PM

Can we clarify what Day 1 is now? It's been confusing me for awhile. I thought the shared definition when we all went back and forth via email was a real instance, with real backups, to be used before the migrations. We had some timeline upset and adjusting since then, but basically I guess, where are we now if not day 1? day 0?

Is the official never-to-be-adjusted definition of 'day 1' a post bugzilla, post rt phabricator that is primetime?

Qgil added a comment.Oct 6 2014, 4:30 PM
In T188#8415, @chasemp wrote:

Is the official never-to-be-adjusted definition of 'day 1' a post bugzilla, post rt phabricator that is primetime?

This is pretty much how I see it, yes.

I came up with the "Day 1" term when we moved from the RfC process to the project start. It means the day when the Bugzilla migration is completed and Phabricator becomes its successor.

The decisions of creating a production instance and having the Rt migration prior to Bugzilla's came after, but at least for me (and I'm pretty sure for WMF management and most of our tech community) this didn't change the meaning of Day 1.

The list of blockers at T174: Launch Wikimedia Phabricator Day 1 has been consistent with this definition all time along.

I'm sure at one point we bickered on the definition of day 1 and it did not include the bugzilla migration. I think it's evidenced by https://phabricator.wikimedia.org/T174 not including the migrations themselves, instead the outcome of all blockers there is pretty much where we are now. Actually, this comment https://phabricator.wikimedia.org/T174#2340 leaves out bugzilla or RT entirely, and since legalpad was handled in another instance the only thing left is things that are now done. So I don't think my confusion or asking for clarification over day-1 is strange. From what I see of what you linked we are at day-1 now, which means...what is day 1 if we are not there?

The day 1 term as been reppropriate a few times and at this I find it a bit distasteful because of it.

Qgil added a comment.EditedOct 6 2014, 6:03 PM

We had a chat, and we are in sync now. :)

Qgil added a comment.Oct 6 2014, 10:10 PM

"Wikimedia Phabricator is now open for everyone" has been announced to wikitech-l, wikitech-ambassadors, and the internal list for all WMF employees. Phabricator and Phabricator/Help pages in mediawiki.org have been updated accordingly, as well as the Phabricator homepage.

Next steps: RT and Bugzilla migration, with some work in parallel and exact dates still depending on community & Ops reviews.

Qgil moved this task from Backlog to Doing on the ECT-October-2014 board.Oct 7 2014, 8:57 PM
Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Oct 8 2014, 11:56 AM
Qgil moved this task from Backlog to Need Discussion on the RT-Migration board.Oct 8 2014, 6:57 PM
Qgil added a comment.Oct 22 2014, 2:46 PM

Just a note to say that we are close to announce the Bugzilla migration preview, that will open a period for community feedback (a week at least, more if needed). For details, subscribe to T552: https://bugzillapreview.wmflabs.org/ migration preview instance.

Qgil added a comment.Oct 30 2014, 10:14 PM
In T843#17391, @Qgil wrote:

Update sent to wikitech-l, almost a week after the opening of bugzilla-preview.

Summary: T259: Bugzilla to Maniphest import script (tracking) is in "blocker freeze" now. Once we have resolved the current blockers, we will regenerate the bugzillapreview instance with a sample of 500 tasks in order to verify the fixes. Meanwhile, the next milestone is to announce the dates of these migrations.

Qgil added a subscriber: Tbayer.Oct 30 2014, 10:16 PM
Qgil moved this task from Doing to Backlog on the Bugzilla-Migration board.Oct 31 2014, 9:32 PM
Qgil added a comment.Oct 31 2014, 10:17 PM
In T15#17648, @Qgil wrote:

Check the new description. It's important:

The Wikimedia Phabricator team proposes to start migrating Bugzilla on Friday 21 November ...

If these dates are confirmed, the reopening of Phabricator with Bugzilla imported would be on Monday 24 November, although we might want to take some extra time testing and verifying, and announce loudly on Tuesday, even if Phabricator was already available to those checking the site the day before. Launch details to be decided.

Qgil raised the priority of this task from Normal to High.

Chase and I are proposing to start the migration on Thu Nov20 16:01PST in SF = Fri Nov21 00:01UTC = Fri Nov21 01:01CET in Europe.
If I screwed up some timezone conversions: UTC is the reference.

Note that we will need folks around in front of computers to handle T209: Switch off / update Watchmouse when replacing Bugzilla by Phabricator, T210: Switch off Gerrit Notification bot (its-bugzilla) when replacing Bugzilla by Phabricator, T211: Switch off Bingle/Bugello service when replacing Bugzilla by Phabricator.

Qgil added a subscriber: flimport.
In T188#2526, @flimport wrote:

qgil wrote on 2014-09-05 17:27:13 (UTC)

Gosh, little progress in comms plan during the last two months. :(

Ingredients to the mix:

I'd say this is good enough. Screenshots would be welcome but I'm planning to create Google Code-in tasks for this and more (T561).

  • One hangout-on-air screencasting the most basic use cases, followed by Q&A.

Done: https://plus.google.com/events/c8qe7l0vtf4v6u07k3o059du2lg

Do you think this is enough?

  • A brown bag event focusing on WMF employees, in SF open space, streamed.

Not done. Do you think this is a good idea?

We will have another Tech Talk in early December, focusing on the Project Management part.

  • Two IRC office hours at different times.

Yes, we should do this. Can we get help from #Community-Engagement to schedule and advertise them?

  • Update in Tech News every week (starting now!)

I started... but I started when there were not much news to share. For this week we have the 21 Nov date expected for the migration. Will do.

  • Blog post

Will do.

@Qgil Let me know if you need any support for Tech News and the blog post.

For Tech News, it's better to add your item(s) by Thursday. For the blog post, you can draft it at https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts and send me the link when you want me to take a look. Once it's ready for publication, I'll port it over to WordPress.

Qgil moved this task from Backlog to Doing on the ECT-November-2014 board.Nov 6 2014, 8:50 PM

Scheduling IRC office hours is very easy: you just add yours to the list at https://meta.wikimedia.org/wiki/IRC_office_hours#Upcoming_office_hours

The best times would probably be to have one (from the San Francisco perspective) as early as possible in the morning to accommodate most of Europe, and the other in the afternoon or evening for the Americas and Pacific Islands. If you make them about eight hours apart, then most of our users will be able to join one if they're interested.

For advertising, IMO the bare minimum is one brief announcement of the IRC office hours in Tech/News and one (a longer one) at the Village Pump (technical) at the English Wikipedia. Posting those should take about 15 minutes total. The VPT post should directly ask people to share the information with other projects.

Qgil added a comment.Nov 7 2014, 11:35 PM

Thank you, @Whatamidoing-WMF . I have scheduled office hours several times, but usually the promotion had to be done in the mediawiki.org side of things. The help of your team promoting this event and the Phabricator news in general in wiki editors territory is more than welcome.

Gosh, turns out that it's not even Friday here anymore. What happened to this week? OK, let's fine tune the comms plan in the task description (that you can edit, like a wiki). ;)

Qgil updated the task description. (Show Details)Nov 13 2014, 9:57 AM
Qgil added a comment.Nov 14 2014, 12:00 AM

Two office hours scheduled for next Tuesday, and advertised in wikitech-l, wikitech-ambassadors, and en.wiki Technical Village Pump. Help promoting them further is welcome.

These days we have improved the list of known issues and the planned sequence of steps during the migration, so people can have a better idea of the complexity of the operation.

Tomorrow I plan to start working on the blog post.

I posted a few notes to some relevant pages at the English Wikipedia: Bug reports help page, bot owners' noticeboard, and help project. These are all pretty low-traffic pages, but they may catch people who don't follow the other pages.

Qgil added a comment.Nov 19 2014, 11:13 PM

Thank you @gpaumier, this was like a Phabricator special edition! Thank you also @Whatamidoing-WMF, I was surprised to see mentions to Phabricator news in places where I didn't expected. Your help is really appreciated.

Yesterday we hosted 2x office hours (logs). Today we have sent a reminder to wikitech-l, mediawiki-l, wikitech-ambassadors, and wmfall.

With this, almost all our communication prior to the beginning of the migration is completed. I will just send a last reminder tomorrow, about an hour before restricting access to Bugzilla and Phabricator.

Then...

The only piece still missing is the blog post. Tomorrow, there is no other decent option if I want to leave you some time to review it. Sorry for the delay, it's kind of difficult to focus in something larger than a mail or a comment in a task, like this one. Then again, I think I have written the blog post already, it's only spread in sentences written during this/last week in different places. :)

Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Nov 19 2014, 11:14 PM

@Qgil: No problem for the blog post. Since I know it's coming, I'll be able to review it quickly. Just send me an email with the link when your draft is ready, and also tell me when you'd like it published (before the migration? After? etc.)

Qgil added a comment.Nov 19 2014, 11:30 PM

The blog post is planned to be published on Monday, after we reopen Phabricator with 75k tasks in its stomach. I'm not sure what to do / what to ask if the migration is completed earlier, during the weekend. I don't think it's a problem to publish it on Monday anyway (plus social media). wikitech-l & surroundings + the new Phabricator notifications are more than enough to spread the scoop.

Publishing on Monday sounds good to me :) After I review the blog post, I'll port it over to WordPress and it'll be ready for publication when you give me the green light.

Qgil added a comment.Nov 23 2014, 10:14 PM

Tomorrow Monday during the EU morning, I will send an email to wikitech-l in order to get some early users from that crowd before spreading the news further.

A draft blog post is available at https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/Welcome_Phabricator,_our_new_collaboration_platform. Edits and feedback are still welcome tonight. Then I will leave it to @gpaumier.

I still need to upload a couple of screenshots to Commons, to be used in the blog post.

SamB added a subscriber: SamB.Nov 24 2014, 3:37 AM

Isn't it a bit late to be announcing day 1?

@SamB why is it a bit late? we haven't launched yet and Monday is day 1

Qgil added a comment.Nov 24 2014, 8:08 AM

@SamB "Day 1" is not announced in the blog post, and we are just a few hours away from resolving this task with this title here. :)

Qgil added a comment.Nov 24 2014, 12:18 PM

@gpaumier & @Tbayer, https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/Welcome_Phabricator,_our_new_collaboration_platform is ready, and you can publish whenever you want. No blockers and no rush from our side.

@Qgil I'll review and publish it now, so I can link it from Tech News.

Qgil updated the task description. (Show Details)Nov 24 2014, 11:29 PM
Qgil closed this task as Resolved.

Thanks @gpaumier!

I have added some links to the blog post and social media to the description. Feel free adding more relevant links there.

SamB added a comment.Nov 25 2014, 3:19 AM

Oh, okay ... I kind of thought the day I go to bugzilla. and get here had to be >= day one ...

Qgil added a comment.Nov 25 2014, 9:21 AM

Hacker News frontpage: https://news.ycombinator.com/item?id=8654403

It's 17th with 61 comments right now. Cool!

In T188#783721, @Qgil wrote:
Hacker News frontpage: https://news.ycombinator.com/item?id=8654403

It's 17th with 61 comments right now. Cool!

The blog post is going towards 20,000 pageviews already. Nice!